Error executing "Upgrade Management Tool" in BOXI 4.1 sp5

Document ID : KB000113013
Last Modified Date : 04/09/2018
Show Technical Document Details
Issue:
Error: "Version check failed. The source system or source BIAR file must be of an older version. The destination system must be of the current version. (UMT 20012)" when transferring data using Upgrade Management Tool (UMT).

Reproducing the Issue

    Logon to Upgrade Management Tool.
    Choose Complete Upgrade/Incremental Upgrade.
    For Upgrade Scenario, choose Live to Live.
    In Source, provide the credentials of your source BI 4.0 environment.
    In Destination, provide the credentials of your destination BI 4.0 environment.
    Click on Next.

 
Environment:

    SAP BusinessObjects Business Intelligence Platform 4.0
    SAP BusinessObjects Business Intelligence Platform 4.1
 
Cause:

UMT can only be used to transfer data from BusinessObjects Enterprise XI R2 Service Pack 2 or BusinessObjects Enterprise XI 3.1 to BI 4.0.
Resolution



 
Resolution:
Use Promotion Management tool to transfer data from one BI 4.x environment to another.
Additional Information:
Sap Article 1666943 - Error: "Version check failed. The source system or source BIAR file must be of an older version. The destination system must be of the current version. (UMT 20012)" when transferring data using Upgrade Management Tool (UMT) in BI 4.0
https://launchpad.support.sap.com/#/notes/1666943


Sap Article 1904814 - Best practices for UMT migration to BI 4.x
http://https://launchpad.support.sap.com/#/notes/1904814